
From: Michal Januszewski <spock@gentoo.org>

Currently even when the cursor is disabled (`setterm -cursor off`), it is
still repainted as a black rectangle the size of a single char.  This can
be seen, for example, by chvt'ing to a free tty, disabling the cursor and
doing `dd if=3D/dev/urandom of=3D/dev/fb0`.

The patch changes this behaviour by avoiding painting anything when the
cursor is disabled.

Signed-off-by: Michal Januszewski <spock@gentoo.org>
Cc: <linux-fbdev-devel@lists.sourceforge.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/console/fbcon.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/video/console/fbcon.c~dont-repaint-the-cursor-when-it-is-disabled drivers/video/console/fbcon.c
--- devel/drivers/video/console/fbcon.c~dont-repaint-the-cursor-when-it-is-disabled	2005-07-25 19:44:55.000000000 -0700
+++ devel-akpm/drivers/video/console/fbcon.c	2005-07-25 19:44:55.000000000 -0700
@@ -275,7 +275,8 @@ static void fb_flashcursor(void *private
 
 	if (!vc || !CON_IS_VISIBLE(vc) ||
 	    fbcon_is_inactive(vc, info) ||
- 	    registered_fb[con2fb_map[vc->vc_num]] != info)
+ 	    registered_fb[con2fb_map[vc->vc_num]] != info ||
+	    vc_cons[ops->currcon].d->vc_deccm != 1)
 		return;
 	acquire_console_sem();
 	p = &fb_display[vc->vc_num];
_
